Package ru.bitel.bgbilling.modules.bill.client.bean

# Class BillTableRow

java.lang.Object
ru.bitel.bgbilling.modules.bill.client.bean.BillTableRow

public class BillTableRow extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cid`
  `protected String`
  `contract`
  `protected String`
  `contractComment`
  `List<BGBillTablePos>`
  `defaultPosList`
  `protected List<BGBillTablePos>`
  `positionList`
  `protected List<BillTableRow>`
  `subBillList`
  `int`
  `type`
  `String`
  `typeTitle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillTableRow(List<BGBillTablePos> positionList)`
  `BillTableRow(Element rowData, List<BGBillTablePos> positionList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContract()`
  `String`
  `getContractComment()`
  `int`
  `getId()`
  `BigDecimal`
  `getRest()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getTypeTitle()`
  `Boolean`
  `isCheck()`
  `void`
  `setCheck(boolean check)`
  `void`
  `setCheck(Boolean check)`
  `void`
  `setId(int id)`
  `void`
  `setRest(BigDecimal rest)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setTypeTitle(String typeTitle)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    public int type

  - ### typeTitle

    public String typeTitle

  - ### cid

    public int cid

  - ### defaultPosList

    public List<BGBillTablePos> defaultPosList

  - ### positionList

    protected List<BGBillTablePos> positionList

  - ### contract

    protected String contract

  - ### contractComment

    protected String contractComment

  - ### subBillList

    protected List<BillTableRow> subBillList

- ## Constructor Details

  - ### BillTableRow

    public BillTableRow(List<BGBillTablePos> positionList)

  - ### BillTableRow

    public BillTableRow(Element rowData, List<BGBillTablePos> positionList)

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### isCheck

    public Boolean isCheck()

  - ### setCheck

    public void setCheck(Boolean check)

  - ### getContract

    public String getContract()

  - ### getContractComment

    public String getContractComment()

  - ### getSumma

    public BigDecimal getSumma()

  - ### getRest

    public BigDecimal getRest()

  - ### setSumma

    public void setSumma(BigDecimal summa)
    Parameters:
      `summa` - the summa to set

  - ### setCheck

    public void setCheck(boolean check)

  - ### setRest

    public void setRest(BigDecimal rest)